For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Getting Started
    • Introduction
    • How Verifa Works
    • Quickstart
    • Choosing an Integration Method
  • Use Cases
    • KYC Onboarding
    • Age Verification
    • AML Compliance
    • Fraud Prevention
    • Marketplace Trust & Safety
  • Core Concepts
    • Overview
    • Sessions
    • Verifications & Checks
    • Workflows
    • Identities
    • Cases
    • Screening & Reports
    • Lists
  • Integration Guides
    • Overview
    • JavaScript SDK
    • Web Capture Flow
    • API-Only Integration
    • Mobile SDK
    • Webhooks Guide
    • MCP Server
    • Migrating from Persona
  • API Details
    • Overview
    • Authentication
    • Pagination
    • Rate Limiting
    • Versioning
    • Errors
    • Webhooks
    • Idempotency
    • Key Inflection
    • Data Access
    • Data Retention
  • Tutorials
    • Creating Your First Verification Session
    • Creating a Workflow
    • Receiving Webhooks & Validating Signatures
    • Handling Webhook Events
    • Custom Document Types & AI Extraction
  • Best Practices
    • Testing
    • Preventing Duplicates
    • Fraud Signals
    • Changelog
  • API Reference
      • GETList identities
      • POSTCreate an identity
      • GETGet an identity
      • PATCHUpdate an identity
      • DELRedact an identity
      • GETExport identity data (GDPR Art. 15 DSAR)
      • POSTSearch identities
      • GETList identity sessions
      • GETGet identity audit log
      • POSTAdd a tag
      • POSTRemove a tag
      • POSTSet tags
      • POSTPreview identity merge
      • POSTMerge identities
      • POSTArchive an identity
      • POSTRestore an archived identity
      • POSTPause continuous monitoring for an identity
      • POSTResume continuous monitoring for an identity
      • POSTAdvanced identity search
      • GETGet custom field values
      • PATCHSet custom field values
      • GETList identity relationships
      • POSTCreate an identity relationship
      • DELDelete an identity relationship
      • GETQuery identity relationship graph
      • GETFind cross-session image similarity matches
      • GETGet monitored lists for an identity
      • POSTAdd lists to identity monitoring
      • PUTReplace monitored lists for an identity
API ReferenceIdentities

Create an identity relationship

POST
https://devapi.withverifa.com/api/v1/identities/:identity_id/relationships
POST
/api/v1/identities/:identity_id/relationships
$curl -X POST https://devapi.withverifa.com/api/v1/identities/identity_id/relationships \
> -H "X-API-Key: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "related_identity_id": "idn_def456"
>}'
1{
2 "id": "idrel_abc123",
3 "source_identity_id": "idn_abc123",
4 "related_identity_id": "idn_def456",
5 "relationship_type": "user_linked",
6 "metadata": {}
7}

Creates a bidirectional relationship between two identities. Accepts either a built-in user type or the name of an active custom relationship type defined via /relationship-types. System relationship types (same_document, same_name_dob, same_ssn, merged, etc.) cannot be created via the API.

Was this page helpful?
Previous

Delete an identity relationship

Next
Built with

Authentication

X-API-Keystring

Organization API key. Keys are prefixed with vk_live_ (production) or vk_sandbox_ (sandbox).

Path parameters

identity_idstringRequired

Identity ID (idn_*) or external reference.

Headers

Verifa-VersiondateOptional

API version date string (e.g. 2026-02-01). If omitted, the version pinned to your API key is used.

Key-InflectionenumOptionalDefaults to snake

Response key casing. Defaults to snake.

Allowed values:
Idempotency-KeystringOptional<=255 characters

Unique key for idempotent requests. Cached for 24 hours. Sending the same key with different parameters returns 422.

Request

This endpoint expects an object.
related_identity_idstringRequired
The identity to link to.
relationship_typestringOptionalDefaults to user_linked

Built-in user type (user_linked, same_household, family_member, business_associate, authorized_representative, power_of_attorney, beneficial_owner, related_account) or the name of an active custom relationship type.

notestringOptional
Optional note explaining the reason for linking.
metadatamap from strings to anyOptional
Optional metadata to attach to the relationship.

Response

Relationship created.
idstring
source_identity_idstring
related_identity_idstring
relationship_typestring
metadataobject

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error